<div style="text-align:center">
  
  <mat-toolbar class="mat-elevation-z5 header" color="primary">
    <mat-toolbar-row>
      <i class="material-icons">credit_card</i>
      <span>Anagrafica clienti</span>
  
      <span class="spacer"></span>
      
    </mat-toolbar-row>
  </mat-toolbar>

  <h5 class="mat-display-5">Per inserire un nuovo cliente clicca qui sotto</h5>
  <button mat-raised-button *ngIf="!insertnewcustomers" color="primary" (click)="insertnew()">Inserisci nuovo cliente</button>
 
  <br>

  <mat-card *ngIf="insertnewcustomers" class="demo-card demo-basic">
    <mat-card-title class="mat-display-5" color="primary">Registra un nuovo cliente</mat-card-title>
    <br>
    <br>
    <mat-card-content> 
      <p>
        <mat-form-field>
          <mat-label>Ragione Sociale</mat-label>
          <input matInput [(ngModel)]="person.name" [formControl]="requiredVaildator1" required>
          <mat-error>Questo campo è obbligatorio</mat-error>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Indirizzo</mat-label>
            <input matInput [(ngModel)]="person.address" [formControl]="requiredVaildator2" required>
            <mat-error>Questo campo è obbligatorio</mat-error>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Città</mat-label>
            <input matInput [(ngModel)]="person.city" [formControl]="requiredVaildator3" required>
            <mat-error>Questo campo è obbligatorio</mat-error>
        </mat-form-field>

      </p>
      <mat-form-field>
          <mat-label>Codice Postale</mat-label>
          <input matInput #postalCode maxlength="5" [(ngModel)]="person.cap">
          <mat-hint align="end">{{postalCode.value.length}} / 5</mat-hint>
          <mat-error>Questo campo è obbligatorio</mat-error>
      </mat-form-field>

      <mat-form-field>
          <mat-label>Partita Iva/Codice Fiscale</mat-label>
          <input matInput [(ngModel)]="person.piva" required [formControl]="requiredVaildator5">
          <mat-error>Questo campo è obbligatorio</mat-error>
      </mat-form-field>

      <mat-form-field>
          <mat-label>Telefono</mat-label>
          <input matInput type="tel" maxlength="10" [(ngModel)]="person.phone">
          <mat-error>Questo campo è obbligatorio</mat-error>
      </mat-form-field>

        <mat-form-field>
            <mat-label>Email</mat-label>
            <input matInput [(ngModel)]="person.email" type="email" [formControl]="emailFormControl">
            <mat-error *ngIf="emailFormControl.hasError('pattern')">
              Il formato deve essere <i>mario.rossi@mail.it</i>
            </mat-error>
        </mat-form-field>

        <p>
          <mat-form-field class="form_note">
            <textarea matInput [(ngModel)]="person.note" placeholder="Note" matTextareaAutosize matAutosizeMinRows="2"
                      matAutosizeMaxRows="5"></textarea>
          </mat-form-field>
        </p>

    </mat-card-content>
    <button mat-raised-button disabled *ngIf="requiredVaildator1.invalid || requiredVaildator2.invalid ||
    requiredVaildator3.invalid || requiredVaildator5.invalid || emailFormControl.invalid">Inserisci cliente</button>
    <button mat-raised-button color="primary" *ngIf="!requiredVaildator1.invalid && !requiredVaildator2.invalid &&
    !requiredVaildator3.invalid && !requiredVaildator5.invalid && !emailFormControl.invalid" (click)="createAnagrafica()">Inserisci cliente</button>
    <button mat-raised-button (click)="close()">Annulla</button>
  </mat-card>

  <mat-card class="list_card">
      <mat-card-title color="primary">Giestisci i tuoi clienti</mat-card-title>
      <mat-grid-list cols="10" rowHeight="3:1" *ngFor="let anagrafica of anagraficas; let first = first">

          <mat-grid-tile class="list_header" *ngIf="first">Id</mat-grid-tile>
          <mat-grid-tile class="list_header" *ngIf="first">Nome</mat-grid-tile>
          <mat-grid-tile class="list_header" *ngIf="first">Indirizzo</mat-grid-tile>
          <mat-grid-tile class="list_header" *ngIf="first">Città</mat-grid-tile>
          <mat-grid-tile class="list_header" *ngIf="first">CAP</mat-grid-tile>
          <mat-grid-tile class="list_header" *ngIf="first">Telefono</mat-grid-tile>
          <mat-grid-tile class="list_header" *ngIf="first">Email</mat-grid-tile>
          <mat-grid-tile class="list_header" *ngIf="first">Visualizza</mat-grid-tile>
          <mat-grid-tile class="list_header" *ngIf="first">Modifica</mat-grid-tile>
          <mat-grid-tile class="list_header" *ngIf="first">Cancella</mat-grid-tile>

          <mat-grid-tile >{{anagrafica.id}}</mat-grid-tile>
          <mat-grid-tile >{{anagrafica.name}}</mat-grid-tile>
          <mat-grid-tile >{{anagrafica.address}}</mat-grid-tile>
          <mat-grid-tile >{{anagrafica.city}}</mat-grid-tile>
          <mat-grid-tile >{{anagrafica.cap}}</mat-grid-tile>
          <mat-grid-tile >{{anagrafica.phone}}</mat-grid-tile>
          <mat-grid-tile >{{anagrafica.email}}</mat-grid-tile>
          <mat-grid-tile ><button mat-raised-button (click)="showAnagrafica(anagrafica.id)"><mat-icon matListIcon>remove_red_eye</mat-icon></button></mat-grid-tile>
          <mat-grid-tile ><button mat-raised-button (click)="editAnagrafica(anagrafica.id)"><mat-icon matListIcon>edit</mat-icon></button></mat-grid-tile>
          <mat-grid-tile ><button mat-raised-button (click)="deleteAnagrafica(anagrafica.id)"><mat-icon matListIcon>delete</mat-icon></button></mat-grid-tile>
      </mat-grid-list>
    </mat-card>
</div>